## eole-proxy 2.9.0-22

=== Makefile ===
################################
# Makefile pour eole-proxy
################################

SOURCE=eole-proxy
VERSION=2.9
EOLE_VERSION=2.9
EOLE_RELEASE=2.9.0
PKGAPPS=non
#FLASK_MODULE=<APPLICATION>

################################
# Début de zone à ne pas éditer
################################

include eole.mk
include apps.mk

################################
# Fin de zone à ne pas éditer
################################

# Makefile rules dedicated to application
# if exists
ifneq (, $(strip $(wildcard $(SOURCE).mk)))
include $(SOURCE).mk
endif

=== debian/changelog ===
eole-proxy (2.9.0-22) eole-2.9.0-proposed-updates; urgency=low

  [ Laurent Gourvénec ]
  * [5782d66] Correction de la génération de la conf pour les caches père
  * [020f619] Merge branch '2.9.0/master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [85bb3e5] Laurent Gourvénec: Update package since “debian/eole/2.9.0-21”

 -- Laurent Gourvénec <lgourvenec@cadoles.com>  Mon, 17 Nov 2025 13:39:41 +0100

eole-proxy (2.9.0-21) eole-2.9.0-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [ec4aec6] Inclure le suffixe n dans le filtre de sélection des fichiers
  * [e3dff2b] Merge branch '2.8.1/master' into 2.9.0/master
  * [6f312d9] Merge branch '2.9.0/master' into dist/eole/2.9.0/master

  [ Joël Cuissinat ]
  * [6f2a3cf] Update rsyslog configuration for squid & e2guardian
  * [4625d99] Merge branch '2.8.1/master' into 2.9.0/master
  * [011d3b0] Merge branch '2.9.0/master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [c722a98] Joël Cuissinat: Update package since “debian/eole/2.9.0-20”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 24 Apr 2025 11:50:30 +0200

eole-proxy (2.9.0-20) eole-2.9.0-proposed-updates; urgency=low

  [ Laurent Gourvénec ]
  * [3eb06a7] Fix config ICAP squid02
  * [d31ae01] Merge branch '2.8.1/master' into 2.9.0/master
  * [770f697] Merge branch '2.9.0/master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [36dfdc1] Laurent Gourvénec: Update package since “debian/eole/2.9.0-19”

 -- Laurent Gourvénec <lgourvenec@cadoles.com>  Mon, 20 Jan 2025 11:15:23 +0100

eole-proxy (2.9.0-19) eole-2.9.0-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [1029bd8] Configurer des erreurs ICAP (ref #36349)
  * [c523a1f] Merge branch '2.8.1/master' into 2.9.0/master
  * [c4b8bf9] Merge branch '2.9.0/master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [1ce68f2] Emmanuel Garette: Update package since “debian/eole/2.9.0-18”

 -- Emmanuel Garette <egarette@silique.fr>  Mon, 13 Jan 2025 17:26:22 +0100

eole-proxy (2.9.0-18) eole-2.9.0-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [450cd9c] diagnose/151-proxy : cosmetic fix

  [ Benjamin Bohard ]
  * [2c3bced] Règle de rotation des fichiers de statistiques.
  * [12759d6] Merge branch '2.8.1/master'
  * [7b3bd2f] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [3193e61] Benjamin Bohard: Update package since “debian/eole/2.9.0-17”

 -- Benjamin Bohard <bbohard@cadoles.com>  Mon, 26 Jun 2023 14:30:22 +0200

=== debian/control ===
Source: eole-proxy
Section: admin
Priority: optional
Maintainer: Equipe EOLE <eole@ac-dijon.fr>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.3
Homepage: http://eole.orion.education.fr/diff/
Vcs-Git: http://dev-eole.ac-dijon.fr/git/eole-proxy
Vcs-Browser: http://dev-eole.ac-dijon.fr/projects/eole-proxy/repository

Package: eole-proxy
Architecture: all
# snmp is called by squid zephir agent
Depends: eole-amon-backend,
         eole-amon-backend3,
         eole-wpad,
         lightsquid,
         snmp,
         xz-utils,
         ${misc:Depends}
Provides: eole-cntlm
Conflicts: eole-cntlm
Replaces: eole-cntlm
Description: Templates et dictionnaires pour le Proxy
 Services proxy et filtrage web basés sur Squid et DansGuardian
 .
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

Package: eole-proxy-scripts
Architecture: all
Depends: ${misc:Depends}
# provides eole-guardian script (#16307)
Description: Scripts à installer dans le conteneur proxy
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

Package: eole-proxy-pkg
Section: metapackages
Architecture: all
# iptables is required in the proxy container
# wget and lsof are required by the `diagnose` command
# apache2-utils provides the htpasswd command (#3492)
Depends: ${misc:Depends},
         squid-openssl,
         eole-proxy-scripts,
         apache2-utils,
         iptables,
         e2guardian (>= 3.2.0-3),
         eole-blacklists,
         winbind,
         wget,
         ipset,
         lsof,
	 libldap-common
Provides: eole-cntlm-pkg
Conflicts: eole-cntlm-pkg
Replaces: eole-cntlm-pkg
Description: dependency package for eole-proxy
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_install:
	dh_install -peole-proxy -X eole/sbin/eole-guardian
	dh_install -peole-proxy-scripts
	dh_install -peole-proxy-pkg

override_dh_installsystemd:
	dh_installsystemd -peole-proxy-scripts --name=eole-guardian
	dh_installsystemd -peole-proxy-scripts --name=eole-guardian@
	dh_installsystemd --no-start -peole-proxy-scripts --name=squid3-2

override_dh_builddeb:
	# Make package compatible with older version
	dh_builddeb -- -Zgzip -Srle

.PHONY: override_dh_install override_dh_installsystemd override_dh_builddeb

## eole-proxy 2.10.0-7

=== debian/changelog ===
eole-proxy (2.10.0-7) eole-2.10-unstable; urgency=low

  [ Benjamin Bohard ]
  * [09b81a3] ACL déjà déclarée (builtin)
  * [81f4a21] Les en-têtes via ne posent plus de problèmes
  * [05bdbf8] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [19e7ebb] Benjamin Bohard: Update package since “debian/eole/2.10.0-6”

 -- Benjamin Bohard <bbohard@cadoles.com>  Wed, 07 May 2025 10:50:50 +0200

eole-proxy (2.10.0-6) eole-2.10-unstable; urgency=low

  [ Benjamin Bohard ]
  * [45122a1] Aide pour la procédure de configuration de l’authentification NTLM.
  * [e065ab0] Merge branch 'master' into dist/eole/2.10.0/master
  * [ec4aec6] Inclure le suffixe n dans le filtre de sélection des fichiers
  * [e3dff2b] Merge branch '2.8.1/master' into 2.9.0/master
  * [21bec34] Merge branch '2.9.0/master'
  * [b07c84c] Merge branch 'master' into dist/eole/2.10.0/master

  [ Joël Cuissinat ]
  * [6f2a3cf] Update rsyslog configuration for squid & e2guardian
  * [4625d99] Merge branch '2.8.1/master' into 2.9.0/master
  * [40daa2b] Merge branch '2.9.0/master'
  * [0c038a7] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [6738ae7] Joël Cuissinat: Update package since “debian/eole/2.10.0-5”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 24 Apr 2025 11:51:56 +0200

eole-proxy (2.10.0-5) eole-2.10-unstable; urgency=low

  [ Laurent Gourvénec ]
  * [3eb06a7] Fix config ICAP squid02
  * [d31ae01] Merge branch '2.8.1/master' into 2.9.0/master
  * [0d1ae56] Merge branch '2.9.0/master'
  * [5c55d80] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [2f6743a] Laurent Gourvénec: Update package since “debian/eole/2.10.0-4”

 -- Laurent Gourvénec <lgourvenec@cadoles.com>  Mon, 20 Jan 2025 11:20:00 +0100

eole-proxy (2.10.0-4) eole-2.10-unstable; urgency=low

  [ Emmanuel Garette ]
  * [1029bd8] Configurer des erreurs ICAP (ref #36349)
  * [c523a1f] Merge branch '2.8.1/master' into 2.9.0/master
  * [82a2691] Merge branch '2.9.0/master'
  * [416b57d] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [f038af5] Emmanuel Garette: Update package since “debian/eole/2.10.0-3”

 -- Emmanuel Garette <egarette@silique.fr>  Mon, 13 Jan 2025 17:26:52 +0100

eole-proxy (2.10.0-3) eole-2.10-unstable; urgency=low

  [ Benjamin Bohard ]
  * [f69b274] Le test diagnose winbind est déplacé dans eole-winbind.
  * [6273775] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [653cddb] Benjamin Bohard: Update package since “debian/eole/2.10.0-2”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 10 Dec 2024 12:06:00 +0100

eole-proxy (2.10.0-2) eole-2.10-unstable; urgency=low

  [ Benjamin Bohard ]
  * [1abd164] Transfert de dépendance sur eole-winbind.
  * [e4ade22] Séparation de la partie winbind.
  * [e26e70b] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [fef53bc] Benjamin Bohard: Update package since “debian/eole/2.10.0-1”

 -- Benjamin Bohard <bbohard@cadoles.com>  Thu, 14 Nov 2024 14:06:22 +0100

eole-proxy (2.10.0-1) eole-2.10-unstable; urgency=low

  [ Daniel Dehennin ]
  * [d3e84ef] Prepare release 2.10.0
  * [c535e78] Merge branch 'master' into dist/eole/2.10.0/master

  [ Joël Cuissinat ]
  * [586a403] fix(posttemplate): obsolete chown syntax
  * [bd68f32] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [8b29089] Joël Cuissinat: Update package since “debian/eole/2.9.0-18”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 07 Mar 2024 17:11:35 +0100

## eole-proxy 2.10.0-8

=== Makefile ===
--- 
+++ 
@@ -3,9 +3,9 @@
 ################################
 
 SOURCE=eole-proxy
-VERSION=2.9
-EOLE_VERSION=2.9
-EOLE_RELEASE=2.9.0
+VERSION=2.10
+EOLE_VERSION=2.10
+EOLE_RELEASE=2.10.0
 PKGAPPS=non
 #FLASK_MODULE=<APPLICATION>

=== debian/changelog ===
eole-proxy (2.10.0-8) eole-2.10.0-proposed-updates; urgency=low

  [ Laurent Gourvénec ]
  * [5782d66] Correction de la génération de la conf pour les caches père
  * [592da9d] Merge remote-tracking branch 'origin/2.9.0/master'
  * [fde49b9] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [4a80dde] Laurent Gourvénec: Update package since “debian/eole/2.10.0-7”

 -- Laurent Gourvénec <lgourvenec@cadoles.com>  Mon, 17 Nov 2025 13:40:05 +0100

=== debian/control ===
--- 
+++ 
@@ -14,6 +14,7 @@
 Depends: eole-amon-backend,
          eole-amon-backend3,
          eole-wpad,
+         eole-winbind,
          lightsquid,
          snmp,
          xz-utils,
@@ -48,7 +49,6 @@
          iptables,
          e2guardian (>= 3.2.0-3),
          eole-blacklists,
-         winbind,
          wget,
          ipset,
          lsof,
